﻿<?php

/////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//  Simple PHP script to run a custom query and email the results.
//
//  Change the sql query to other lookups.
//  For additional data include more entries under SELECT and add them to the
//  results table.
//
//  Edit the $toemail and $toname values.
//
//  You can specify the actual mailer settings in lib/php/config/app.conf.php
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////

require_once("../../config.php");
require_once("base.php");
require_once("lookup.php");
require_once("dbtables.php");
require_once("idn.php");
require_once("mailer.inc.php");

/////////////////////////////////////////////////////////////////////////////////////////////////////////
connect_to_mysql_and_select_db();
/////////////////////////////////////////////////////////////////////////////////////////////////////////

global $db_config_domain_table;

/////////////////////////////////////////////////////////////////////////////////////////////////////////

$sql  = "SELECT domain,registry_expiry,status FROM " . $db_config_domain_table . " a ";
$sql .= "WHERE (a.registry_expiry < [TODAY+30] AND a.registry_expiry IS NOT NULL and a.registry_expiry <> '0000-00-00') ";
$sql .= "ORDER BY a.registry_expiry desc";

$sql = parse_custom_sql_query($sql);

/////////////////////////////////////////////////////////////////////////////////////////////////////////

$result = mysql_query($sql) or die("Couldn't execute your query.".mysql_error());

$message = '<table width="100%">' . "\n";
while($row = mysql_fetch_array($result,MYSQL_ASSOC)) 
{
	$domain = $row['domain'];
	$edate = $row['registry_expiry'];
	$status = $row['status'];
	$message .= "<tr>";
	$message .= "<td><p>" . $domain . "</p></td>\n";
	$message .= "<td><p>" . $edate . "</p></td>\n";
	$message .= "<td><p>" . $status . "</p></td>\n";
	$message .= "</tr>";
}
$message .= "</table>\n";

/////////////////////////////////////////////////////////////////////////////////////////////////////////

$toemail = "example@example.com";
$toname  = "Domain Portfolio Manager";
echo send_email($message, "Domain Report", $toemail, $toname);

echo $message;

/////////////////////////////////////////////////////////////////////////////////////////////////////////

?>
